import 'package:flutter_test/flutter_test.dart';
import 'package:rasadyar_chicken/data/common/dio_error_handler.dart';
import 'package:rasadyar_chicken/data/di/chicken_di.dart';
import 'package:rasadyar_core/core.dart';

void main() {
  setUp(() async {
    await setupAllCoreProvider();
    Get.put(TokenStorageService());
    await setupChickenDI();
  });

  group('Check class type registered', () {
    test('DioErrorHandler is registered', () {
      expect(diChicken, isA<GetIt>());
      expect(diChicken.isRegistered<DioErrorHandler>(), true);
    });
  });
}
